Bug 1268166 - squid-4.0.3 is available
squid-4.0.3 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luboš Uhliarik
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-01 20:17 EDT by Upstream Release Monitoring
Modified: 2016-04-12 06:41 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-04 04:46:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2015-10-01 20:17:46 EDT
Latest upstream release: 3.5.10
Current version/release in rawhide: 3.5.9-3.fc24
URL: ftp://ftp.squid-cache.org/pub/squid/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2015-10-01 20:18:35 EDT
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-gBUhoK/squid.spec
return code:  22
stdout:
Getting http://www.squid-cache.org/Versions/v3/3.5/squid-3.5.10.tar.xz to ./squid-3.5.10.tar.xz
Getting http://www.squid-cache.org/Versions/v3/3.5/squid-3.5.10.tar.xz.asc to ./squid-3.5.10.tar.xz.asc

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:--  0:00:01 --:--:--     0
  0     0    0     0    0     0      0      0 --:--:--  0:00:01 --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100   830  100   830    0     0   1495      0 --:--:-- --:--:-- --:--:--  1495
100   830  100   830    0     0   1495      0 --:--:-- --:--:-- --:--:--  1495
Comment 2 Upstream Release Monitoring 2015-10-14 08:17:10 EDT
Latest upstream release: 4.0.1
Current version/release in rawhide: 3.5.9-3.fc24
URL: ftp://ftp.squid-cache.org/pub/squid/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 3 Upstream Release Monitoring 2015-10-14 08:18:06 EDT
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-M1AUlo/squid.spec
return code:  22
stdout:
Getting http://www.squid-cache.org/Versions/v3/3.5/squid-4.0.1.tar.xz to ./squid-4.0.1.tar.xz
Getting http://www.squid-cache.org/Versions/v3/3.5/squid-4.0.1.tar.xz.asc to ./squid-4.0.1.tar.xz.asc

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:--  0:00:01 --:--:--     0
  0     0    0     0    0     0      0      0 --:--:--  0:00:02 --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
Comment 4 Upstream Release Monitoring 2015-11-01 19:17:12 EST
Latest upstream release: 4.0.2
Current version/release in rawhide: 3.5.9-3.fc24
URL: ftp://ftp.squid-cache.org/pub/squid/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 5 Upstream Release Monitoring 2015-11-01 19:18:05 EST
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-cJesVY/squid.spec
return code:  22
stdout:
Getting http://www.squid-cache.org/Versions/v3/3.5/squid-4.0.2.tar.xz to ./squid-4.0.2.tar.xz
Getting http://www.squid-cache.org/Versions/v3/3.5/squid-4.0.2.tar.xz.asc to ./squid-4.0.2.tar.xz.asc

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:--  0:00:01 --:--:--     0
  0     0    0     0    0     0      0      0 --:--:--  0:00:01 --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
Comment 6 Account closed by the user 2015-12-01 08:25:58 EST
(In reply to Upstream Release Monitoring from comment #0)

> Latest upstream release: 3.5.12
> Current version/release in rawhide: 3.5.9-3.fc24
> URL: ftp://ftp.squid-cache.org/pub/squid/

Changes to squid-3.5.12 (28 Nov 2015):

- Bug 4374: refresh_pattern config parser (%)
- Bug 4373: assertion 'calloutContext->redirect_state == REDIRECT_NONE'
- Bug 4228: links with krb5 libs despite --without options
- Fix SSL_get_certificate() problem detection
- Fix TLS handshake problem during Renegotiation
- Fix cache_peer forceddomain= in CONNECT
- Fix status code-based HTTP reason phrase for eCAP-generated messages
- Fix build errors in cpuafinity.cc
- ... and several documentation updates

Changes to squid-3.5.11 (01 Nov 2015):

- Bug 3574: crashes on reconfigure and startup
- Bug 4347: compile errors with LibreSSL 2.3
- Bug 4281: copy-paste typos in src/tools.cc
- Bug 4279: No response from proxy for FTP-download of non-existing file
- Bug 4188: Bumping intercepted SSL connections does not work on Solaris
- Fix incorrect authentication headers on cache digest requests
- Fix connection stats, including %<lp, missing for persistent
  connections
- Fix invalid memory access issues in SBuf
- Avoid errors when parsing manager ACL in old squid.conf

Changes to squid-3.5.10 (01 Oct 2015):

- Regression Fix cache_peer login=PASS(THRU) after CVE-2015-5400
- Regression Bug 4326: base64 binary encoder rejects data beginning with
  nil byte
- Bug 4323: Netfilter broken cross-includes with Linux 4.2
- Bug 4328: %un format code does not work for external ACLs in
  credentials-fetching rules
- Bug 4208: more than one port in wccp2_service_info line causes error
- Bug 4304: PeerConnector.cc:743 "!callback" assertion.
- Bug 4330: Do not use SSL_METHOD::put_cipher_by_char to determine size
  of SSL hello ciphers
- Relicense ntlm_fake_auth.pl to GPLv2+
- Relicense smb_lm auth helper to GPLv2+
- Relicense SSPI helper to GPLv2+
- ... and several minor performance optimizations
Comment 7 Upstream Release Monitoring 2015-12-01 19:45:15 EST
Latest upstream release: 4.0.3
Current version/release in rawhide: 3.5.9-3.fc24
URL: ftp://ftp.squid-cache.org/pub/squid/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 8 Upstream Release Monitoring 2015-12-01 19:46:08 EST
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-ckZTQE/squid.spec
return code:  22
stdout:
Getting http://www.squid-cache.org/Versions/v3/3.5/squid-4.0.3.tar.xz to ./squid-4.0.3.tar.xz
Getting http://www.squid-cache.org/Versions/v3/3.5/squid-4.0.3.tar.xz.asc to ./squid-4.0.3.tar.xz.asc

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
Comment 9 Luboš Uhliarik 2015-12-04 04:46:26 EST
New version - 3.5.12 in RAWHIDE. -> CLOSED RAWHIDE
Comment 10 Andrew Peek 2015-12-17 07:12:34 EST
Luboš, thank you for making 3.5.12 available. Is there any plan to release into fc23 ?
Comment 11 Luboš Uhliarik 2016-01-05 10:30:26 EST
Hi Andrew,

there is no plan to release it, unless there is a bug which this update would solve.
Comment 12 Luboš Uhliarik 2016-01-05 10:35:20 EST
Andrew,

if you would like to know, how update policy looks like, you can read about it here:

https://fedoraproject.org/wiki/Updates_Policy


"Philosophy

Releases of the Fedora distribution are like releases of the individual packages that compose it. A major version number reflects a more-or-less stable set of features and functionality. As a result, we should avoid major updates of packages within a stable release. Updates should aim to fix bugs, and not introduce features, particularly when those features would materially affect the user or developer experience. The update rate for any given release should drop off over time, approaching zero near release end-of-life; since updates are primarily bugfixes, fewer and fewer should be needed over time.

This necessarily means that stable releases will not closely track the very latest upstream code for all packages. We have rawhide for that."
Comment 13 Andrew Peek 2016-04-12 06:41:08 EDT
Hi Luboš,

I did read the updates policy and understood why fc23 couldn't be updated. So I've been on rawhide for a few months with squid-3.5.15 which has worked fine. I'm now moving to fc24 to reduce the frequency and amount of release updates.

Thanks
Andrew

Note You need to log in before you can comment on or make changes to this bug.